webpackJsonp([0],{

/***/ 107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__generic_service__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__user_service__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ads_service__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__account_service__ = __webpack_require__(54);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

// Additional Imports








var LoginService = /** @class */ (function () {
    function LoginService(genericService, userService, stringService, adService, alertCtrl, loadingCtrl, accountService, http) {
        this.genericService = genericService;
        this.userService = userService;
        this.stringService = stringService;
        this.adService = adService;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.accountService = accountService;
        this.http = http;
        this.charMax = 130;
    }
    LoginService.prototype.login = function (accountName) {
        var _this = this;
        if (!this.isValidationCorrect(accountName)) {
            return;
        }
        var success = function (user) {
            if (loadingLogin) {
                loadingLogin.dismiss();
            }
            _this.userService.setUser(user);
            if (user.unlocked) {
                _this.charMax = 150;
            }
            var loadedLogin = _this.loadingCtrl.create({ spinner: 'hide', content: _this.stringService.LOADED_LOGGING_IN, duration: 5000 });
            loadedLogin.present();
            _this.loggingIn = false;
            _this.adService.showAd();
        };
        var error = function (error) {
            if (loadingLogin) {
                loadingLogin.dismiss();
            }
            console.log("login error" + JSON.stringify(error));
            _this.loggingIn = false;
            var alert = _this.alertCtrl.create({
                title: _this.stringService.ERROR,
                message: _this.stringService.FAILED_SERVER,
                buttons: [{ text: _this.stringService.TRY_AGAIN, handler: function () { return _this.login(accountName); } }]
            });
            alert.present();
        };
        console.log("--Login--");
        var loadingLogin = this.loadingCtrl.create({ content: this.stringService.LOADING_LOGGING_IN });
        loadingLogin.present();
        this.loggingIn = true;
        this.passcode = this.genericService.getPasscode();
        var body = { user: accountName, passcode: this.passcode };
        console.log("LOGIN DATA" + JSON.stringify(body));
        var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/json' });
        var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
        this.http.post(this.stringService.URL_LOGIN, JSON.stringify(body), options)
            .map(function (res) { return res.json(); })
            .subscribe(success, error, function () { _this.loggingIn = false; });
    };
    LoginService.prototype.update = function (accountName) {
        var _this = this;
        if (!this.isValidationCorrect(accountName)) {
            return;
        }
        var success = function (user) {
            if (loadingLogin) {
                loadingLogin.dismiss();
            }
            _this.userService.setUser(user);
            var loadedLogin = _this.loadingCtrl.create({ spinner: 'hide', content: _this.stringService.ACCOUNT_UPDATED, duration: 5000 });
            loadedLogin.present();
        };
        var error = function (error) {
            if (loadingLogin) {
                loadingLogin.dismiss();
            }
            console.log("update error" + JSON.stringify(error));
            var alert = _this.alertCtrl.create({
                title: _this.stringService.ERROR,
                message: _this.stringService.FAILED_UPDATE,
                buttons: [{ text: _this.stringService.TRY_AGAIN, handler: function () { return _this.update(accountName); } }]
            });
            alert.present();
        };
        console.log("--Attempting to updating account--");
        var loadingLogin = this.loadingCtrl.create({ content: this.stringService.UPDATE_ACCOUNT });
        loadingLogin.present();
        this.passcode = this.genericService.getPasscode();
        var body = { user: accountName, passcode: this.passcode };
        console.log('LOGIN URL: ' + this.stringService.URL_LOGIN);
        var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/json' });
        var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
        this.http.post(this.stringService.URL_LOGIN, JSON.stringify(body), options)
            .map(function (res) { return res.json(); })
            .subscribe(success, error, function () { console.log('Account Updated Successfully'); });
    };
    LoginService.prototype.isValidationCorrect = function (accountName) {
        if (!window.cordova) {
            return false;
        }
        if (this.loggingIn) {
            return false;
        }
        if (accountName === null || accountName === undefined) {
            return false;
        }
        return true;
    };
    LoginService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__generic_service__["a" /* GenericService */],
            __WEBPACK_IMPORTED_MODULE_5__user_service__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_6__string_service__["a" /* StringService */],
            __WEBPACK_IMPORTED_MODULE_7__ads_service__["a" /* AdsService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_8__account_service__["a" /* AccountService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */]])
    ], LoginService);
    return LoginService;
}());

//# sourceMappingURL=login.service.js.map

/***/ }),

/***/ 108:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AdsService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_admob_pro__ = __webpack_require__(206);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

// Additonal Imports


// Turn this to false in production!
var IS_TESTING_ADS = false;
var AdsService = /** @class */ (function () {
    function AdsService(platform, admob) {
        this.platform = platform;
        this.admob = admob;
    }
    AdsService.prototype.showAd = function () {
        var _this = this;
        var adId;
        if (this.platform.is('android')) {
            adId = 'ca-app-pub-4225310934386275/9214179749';
        }
        else if (this.platform.is('ios')) {
            return;
            // adId = 'YOUR_ADID_IOS'; //TODO: Implement iOS ads in future
        }
        this.admob.prepareInterstitial({ adId: adId, isTesting: IS_TESTING_ADS })
            .then(function () { _this.admob.showInterstitial(); });
    };
    AdsService.prototype.showBannerAd = function () {
        var _this = this;
        var config = {
            adId: 'ca-app-pub-4225310934386275/4578356540',
            // position: this.admob.AD_POSITION.BOTTOM_CENTER,
            // autoShow: true,
            isTesting: false
        };
        this.admob.createBanner(config)
            .then(function () { _this.admob.showBanner(_this.admob.AD_POSITION.BOTTOM_CENTER); });
    };
    AdsService.prototype.dismissAd = function () {
        this.admob.onAdDismiss().subscribe(function () { console.log('User dismissed ad'); });
    };
    AdsService.prototype.hideBanners = function () {
        this.admob.hideBanner();
    };
    AdsService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_admob_pro__["a" /* AdMobPro */]])
    ], AdsService);
    return AdsService;
}());

//# sourceMappingURL=ads.service.js.map

/***/ }),

/***/ 117:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 117;

/***/ }),

/***/ 159:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 159;

/***/ }),

/***/ 202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__store_store__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__account_account__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__home_home__ = __webpack_require__(209);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TabsPage = /** @class */ (function () {
    function TabsPage() {
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_3__home_home__["a" /* HomePage */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_1__store_store__["a" /* StorePage */];
        this.tab3Root = __WEBPACK_IMPORTED_MODULE_2__account_account__["a" /* AccountPage */];
    }
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/pages/tabs/tabs.html"*/'<ion-tabs>\n  <ion-tab [root]="tab1Root" tabTitle="Home" tabIcon="home"></ion-tab>\n  <ion-tab [root]="tab2Root" tabTitle="Store" tabIcon="logo-usd"></ion-tab>\n  <ion-tab [root]="tab3Root" tabTitle="Account" tabIcon="contacts"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/pages/tabs/tabs.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StorePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_account_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__services_string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__services_user_service__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__services_generic_service__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__services_login_service__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_in_app_purchase__ = __webpack_require__(207);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


// Additonal Imports










var StorePage = /** @class */ (function () {
    function StorePage(stringService, accountService, http, params, viewCtrl, alertCtrl, userService, genericService, loginService, inAppPurchase, navCtrl) {
        this.stringService = stringService;
        this.accountService = accountService;
        this.http = http;
        this.params = params;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.userService = userService;
        this.genericService = genericService;
        this.loginService = loginService;
        this.inAppPurchase = inAppPurchase;
        this.navCtrl = navCtrl;
        this.purchases = [];
        // TODO: Issue 3 - Set to false when feature ready (Will also need to update store.html to remove *ngIf)
        this.BETA = true;
        this.user = this.userService.getUser();
        this.passcode = this.genericService.getPasscode();
    }
    StorePage.prototype.ionViewDidLoad = function () {
        this.getPurchases();
    };
    StorePage.prototype.ionViewDidEnter = function () {
        this.user = this.userService.getUser();
    };
    // TODO: Issue #3
    StorePage.prototype.restorPurchases = function () {
        var _this = this;
        this.inAppPurchase.restorePurchases()
            .then(function (data) {
            if (data.length > 0) {
                var alert_1 = _this.alertCtrl.create({
                    title: 'Restoring Purchases',
                    message: JSON.stringify(data),
                });
                alert_1.present();
                return _this.inAppPurchase.consume(data.productType, data.receipt, data.signature);
            }
            else {
                var alert_2 = _this.alertCtrl.create({
                    title: 'Restoring Purchases',
                    message: 'No available purchases to restore',
                });
                alert_2.present();
            }
        })
            .catch(console.error.bind(console));
    };
    StorePage.prototype.getPurchases = function () {
        var _this = this;
        this.http.get(this.stringService.URL_PURCHASES)
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.inAppPurchase.getProducts(data.purchases.map(function (p) { return p.sku; }))
                .then(function (products) {
                console.log('in app products' + JSON.stringify(products));
                _this.purchases = products.filter(function (product) {
                    if (_this.user.unlocked && product.productId == 'unlock')
                        return false;
                    return true;
                });
            }).catch(function (error) { console.error('in app products error' + JSON.stringify(error)); });
        }, function (error) { return console.error("product response error" + JSON.stringify(error)); });
    };
    StorePage.prototype.buy = function (id) {
        var _this = this;
        if (this.user.accountName === null) {
            console.error.bind(console);
            return;
        }
        this.inAppPurchase.buy(id)
            .then(function (data) {
            var body = {
                user: _this.user.accountName,
                passcode: _this.passcode,
                sku: id,
                iosReceipt: data.receipt,
                token: data.transactionId
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/json' });
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
            _this.http.post(_this.stringService.URL_VERIFY, JSON.stringify(body), options)
                .map(function (res) { return res.json(); })
                .subscribe(function (data) { return _this.viewCtrl.dismiss(true); }, function (error) { return console.error(JSON.stringify(error)); }, function () { return console.log(_this.stringService.URL_VERIFY); });
            return _this.inAppPurchase.consume(data.productType, data.receipt, data.signature);
        }).then(function () {
            // this.loginService.update(this.user.accountName) TODO: Fix this so that it will update the user account
        }).catch(console.error.bind(console));
    };
    StorePage.prototype.dismiss = function () {
        this.viewCtrl.dismiss(false);
    };
    StorePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-about',template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/pages/store/store.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      Store\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <ion-list>\n    <ion-list-header>{{ stringService.IN_APP_PURCHASES }}</ion-list-header>\n    <ion-item text-wrap *ngFor="let item of purchases">\n      {{ item.description }}\n      <button ion-button item-right (click)="buy(item.productId)">{{ stringService.BUY }}</button>\n    </ion-item>\n    <ion-item text-wrap *ngIf="!purchases.length">{{ stringService.IN_APP_PURCHASE_FAILED }}</ion-item>\n  </ion-list>\n\n\n  <ion-footer>\n      <ion-item>\n          <button ion-button [disabled]="BETA" *ngIf="!BETA" (click)="restorPurchases()" block>{{ stringService.RESTORE_PURCHASES }}</button>\n      </ion-item>\n    </ion-footer>\n</ion-content>\n'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/pages/store/store.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5__services_string_service__["a" /* StringService */],
            __WEBPACK_IMPORTED_MODULE_4__services_account_service__["a" /* AccountService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_6__services_user_service__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_7__services_generic_service__["a" /* GenericService */],
            __WEBPACK_IMPORTED_MODULE_8__services_login_service__["a" /* LoginService */],
            __WEBPACK_IMPORTED_MODULE_9__ionic_native_in_app_purchase__["a" /* InAppPurchase */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */]])
    ], StorePage);
    return StorePage;
}());

//# sourceMappingURL=store.js.map

/***/ }),

/***/ 208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__services_string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__services_user_service__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


// Additional Imports


var AccountPage = /** @class */ (function () {
    function AccountPage(stringService, userService, navCtrl) {
        this.stringService = stringService;
        this.userService = userService;
        this.navCtrl = navCtrl;
        this.purchases = [];
        this.user = userService.getUser();
        console.log('User: ' + JSON.stringify(this.user));
    }
    AccountPage.prototype.ionViewDidEnter = function () {
        // Reload User data
        this.user = this.userService.getUser();
    };
    AccountPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-contact',template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/pages/account/account.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      Account\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list>\n    <ion-list-header>{{ stringService.YOUR_DETAILS }}</ion-list-header>\n    <ion-item>\n      {{ stringService.ACCOUNT }}:\n      <ion-note item-right>{{ user.accountName || stringService.NOT_LOGGED_IN }}</ion-note>\n    </ion-item>\n    <ion-item>\n      {{ stringService.CREDITS_LEFT }}:\n      <ion-note item-right>{{ (user.messagesPurchased - user.messagesSent) > -1 ? user.messagesPurchased - user.messagesSent : 0 }}</ion-note>\n    </ion-item>\n    <ion-item>\n      {{ stringService.CREDITS_USED }}:\n      <ion-note item-right>{{ user.messagesSent }}</ion-note>\n    </ion-item>\n    <ion-item>\n      {{ stringService.UNLOCKED }}:\n      <ion-note item-right>{{ user.unlocked ? stringService.YES : stringService.NO }}</ion-note>\n    </ion-item>\n  </ion-list>\n</ion-content>\n\n'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/pages/account/account.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__services_string_service__["a" /* StringService */],
            __WEBPACK_IMPORTED_MODULE_3__services_user_service__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */]])
    ], AccountPage);
    return AccountPage;
}());

//# sourceMappingURL=account.js.map

/***/ }),

/***/ 209:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__services_string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__services_account_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__services_user_service__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__services_generic_service__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__services_login_service__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__services_ads_service__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_android_permissions__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_storage__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__modals_index__ = __webpack_require__(212);

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};


// Additional Imports











var HomePage = /** @class */ (function () {
    function HomePage(alertCtrl, navCtrl, modalCtrl, loadingCtrl, stringService, userService, adService, genericService, loginService, accountService, http, storage, platform, androidPermissions) {
        this.alertCtrl = alertCtrl;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.loadingCtrl = loadingCtrl;
        this.stringService = stringService;
        this.userService = userService;
        this.adService = adService;
        this.genericService = genericService;
        this.loginService = loginService;
        this.accountService = accountService;
        this.http = http;
        this.storage = storage;
        this.platform = platform;
        this.androidPermissions = androidPermissions;
        this.charCount = 0;
        this.charMax = 130;
        this.msgCount = 0;
        this.loggingIn = false;
        this.msg = { to: '', from: '', body: '' };
        this.hideContent = false;
        this.user = this.userService.getUser();
    }
    HomePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.platform.ready().then(function (readySource) {
            _this.adService.showBannerAd();
            _this.adService.dismissAd();
            if (_this.platform.is('android')) {
                _this.requestPermissions().then(function () {
                    // Load Default Page
                    _this.startApp();
                });
            }
            else {
                // Login User
                _this.loginService.login('TEST_ACCOUNT');
                // Load Default Page
                _this.startApp();
            }
        });
    };
    HomePage.prototype.requestPermissions = function () {
        // Check app permissions.
        var successCallback = function (success) { console.log('Is available? ' + success.hasPermission); };
        var errorCallback = function (error) { return console.error('Permission error: ' + error); };
        return this.androidPermissions.requestPermissions([
            this.androidPermissions.PERMISSION.READ_CONTACTS,
            this.androidPermissions.PERMISSION.WRITE_CONTACTS,
            this.androidPermissions.PERMISSION.GET_ACCOUNTS,
            this.androidPermissions.PERMISSION.GET_ACCOUNTS_PRIVILEGED,
            this.androidPermissions.PERMISSION.ACCOUNT_MANAGER,
            this.androidPermissions.PERMISSION.INTERNET,
            this.androidPermissions.PERMISSION.READ_EXTERNAL_STORAGE
        ]).then(successCallback).catch(errorCallback);
    };
    HomePage.prototype.getAccount = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.accountService.get().then(function (data) {
                            if (data.length > 0) {
                                _this.accountName = data[0].name || data[0];
                                _this.genericService.setPasscode(_this.accountName);
                                _this.loginService.login(_this.accountName);
                            }
                            else {
                                _this.accountService.getDeviceAccountPermissions();
                            }
                        })];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    HomePage.prototype.startApp = function () {
        var _this = this;
        // Create guide alert.
        var guide = this.alertCtrl.create({
            title: this.stringService.IMPORTANT,
            message: this.stringService.GUIDE,
            buttons: [{ text: this.stringService.UNDERSTAND }]
        });
        guide.onDidDismiss(function () {
            // Get Account
            _this.getAccount();
            _this.adService.showBannerAd();
        });
        // Start app!
        setTimeout(function () {
            _this.storage.get('EULA').then(function (accepted) {
                if (accepted === 'YES') {
                    guide.present();
                }
                else {
                    var eula = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_12__modals_index__["a" /* EULA */], {});
                    eula.onDidDismiss(function () {
                        _this.storage.set('EULA', 'YES');
                        guide.present();
                    });
                    eula.present();
                }
            });
        }, 200);
    };
    HomePage.prototype.onBodyInput = function () {
        var _this = this;
        // Wrap in setTimeout so it happens after the event loop.
        setTimeout(function () {
            var chars = _this.msg.body.length;
            _this.charCount = chars;
            _this.msgCount = Math.ceil(chars / _this.charMax);
        }, 0);
    };
    HomePage.prototype.hide = function () {
        if (!this.hideContent) {
            // TODO: Issue #1 
            this.hideContent = true;
            this.adService.hideBanners();
            console.log('--Hide Content--');
        }
        else {
            this.hideContent = false;
            this.adService.showBannerAd();
        }
    };
    HomePage.prototype.sendClicked = function () {
        var _this = this;
        // TODO: Issue #4
        var loading = this.loadingCtrl.create({ content: this.stringService.SENDING });
        loading.present();
        // Validate numbers.
        var _a = this.msg, from = _a.from, to = _a.to, message = _a.body;
        if (from.length < 8 || to.length < 8 || from.charAt(0) != '+' || to.charAt(0) != '+') {
            var alert_1 = this.alertCtrl.create({
                title: this.stringService.ERROR,
                message: this.stringService.NUMBER_INVALID,
                buttons: [{ text: this.stringService.OKAY }]
            });
            if (loading) {
                loading.dismiss();
            }
            alert_1.present();
            return;
        }
        var error = function (err) {
            console.log('SEND ERROR' + err);
            var alert = _this.alertCtrl.create({
                title: _this.stringService.ERROR,
                message: _this.stringService.SEND_ERROR,
                buttons: [{ text: _this.stringService.OKAY }]
            });
            _this.loginService.login(_this.accountName);
            if (loading) {
                loading.dismiss();
            }
            alert.present();
        };
        var success = function () {
            if (loading) {
                loading.dismiss();
            }
            _this.msg.body = '';
            _this.onBodyInput();
            _this.loginService.login(_this.accountName);
            var banner = _this.loadingCtrl.create({ spinner: 'hide', content: _this.stringService.SENT, duration: 1000 });
            banner.present();
        };
        // Send message.
        this.passcode = this.genericService.getPasscode();
        var user = this.accountName;
        var body = { from: from, to: to, message: message, user: user, passcode: this.passcode };
        var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/json' });
        var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
        this.http.post(this.stringService.URL_SEND, JSON.stringify(body), options)
            .map(function (res) {
            console.log('MESSAGE RESPONSE' + JSON.stringify(res));
            res.json();
        })
            .subscribe(success, error, function () {
            _this.adService.showAd();
        });
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/pages/home/home.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title> {{ stringService.APP_NAME }}! </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div class="form">\n    <ion-list no-lines class="head">\n      <ion-item>\n        <ion-label fixed>{{ stringService.TO_FIELD }}:</ion-label>\n        <ion-input placeholder="{{ stringService.TO_PLACEHOLDER }}" type="tel" [(ngModel)]="msg.to"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label fixed>{{ stringService.FROM_FIELD }}:</ion-label>\n        <ion-input placeholder="{{ stringService.FROM_PLACEHOLDER }}" type="tel" [(ngModel)]="msg.from"></ion-input>\n      </ion-item>\n    </ion-list>\n\n    <ion-list no-lines class="body">\n      <ion-item>\n        <ion-label stacked>{{ stringService.BODY_FIELD }}</ion-label>\n        <ion-textarea placeholder="{{ stringService.BODY_PLACEHOLDER }}" (ngModelChange)="onBodyInput($event)" [(ngModel)]="msg.body"></ion-textarea>\n      </ion-item>\n      <div class="suffix">{{ user.unlocked ? \'*\' : \'*Sent with Spoof My Text App\' }}</div>\n    </ion-list>\n  </div>\n</ion-content>\n\n<ion-footer>\n  <ion-toolbar>\n    <ion-title>\n      <span class="left">{{ charCount }} / {{ charMax }} ({{ msgCount }})</span>\n      <ion-note class="right">\n        <button ion-button [disabled]="loginService.loggingIn" *ngIf="!userService.user.accountName" (click)="getAccount()">{{ loginService.loggingIn ? stringService.LOGGING_IN : stringService.LOGIN }}</button>\n        <button ion-button *ngIf="userService.user.accountName" (click)="sendClicked()">{{ stringService.SEND }}</button>\n      </ion-note>\n    </ion-title>\n  </ion-toolbar>\n</ion-footer>'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__services_string_service__["a" /* StringService */],
            __WEBPACK_IMPORTED_MODULE_6__services_user_service__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_9__services_ads_service__["a" /* AdsService */],
            __WEBPACK_IMPORTED_MODULE_7__services_generic_service__["a" /* GenericService */],
            __WEBPACK_IMPORTED_MODULE_8__services_login_service__["a" /* LoginService */],
            __WEBPACK_IMPORTED_MODULE_5__services_account_service__["a" /* AccountService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_11__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_10__ionic_native_android_permissions__["a" /* AndroidPermissions */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__EULA_EULA__ = __webpack_require__(290);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return __WEBPACK_IMPORTED_MODULE_0__EULA_EULA__["a"]; });


//# sourceMappingURL=index.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(236);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 236:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(278);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_store_store__ = __webpack_require__(203);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_account_account__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_home_home__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_status_bar__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_splash_screen__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__services_string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__services_account_service__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__services_user_service__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__services_generic_service__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__services_login_service__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__services_ads_service__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_android_permissions__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__ionic_native_diagnostic__ = __webpack_require__(291);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__angular_http__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ionic_storage__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__ionic_native_admob_pro__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__modals_index__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__ionic_native_in_app_purchase__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__ionic_native_device_accounts__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__ionic_native_device__ = __webpack_require__(205);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};










// Additional Imports















var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_store_store__["a" /* StorePage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_account_account__["a" /* AccountPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_21__modals_index__["a" /* EULA */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_18__angular_http__["c" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {}, {
                    links: []
                }),
                __WEBPACK_IMPORTED_MODULE_19__ionic_storage__["a" /* IonicStorageModule */].forRoot()
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_4__pages_store_store__["a" /* StorePage */],
                __WEBPACK_IMPORTED_MODULE_5__pages_account_account__["a" /* AccountPage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_21__modals_index__["a" /* EULA */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_17__ionic_native_diagnostic__["a" /* Diagnostic */],
                __WEBPACK_IMPORTED_MODULE_10__services_string_service__["a" /* StringService */],
                __WEBPACK_IMPORTED_MODULE_14__services_login_service__["a" /* LoginService */],
                __WEBPACK_IMPORTED_MODULE_11__services_account_service__["a" /* AccountService */],
                __WEBPACK_IMPORTED_MODULE_12__services_user_service__["a" /* UserService */],
                __WEBPACK_IMPORTED_MODULE_13__services_generic_service__["a" /* GenericService */],
                __WEBPACK_IMPORTED_MODULE_20__ionic_native_admob_pro__["a" /* AdMobPro */],
                __WEBPACK_IMPORTED_MODULE_15__services_ads_service__["a" /* AdsService */],
                __WEBPACK_IMPORTED_MODULE_22__ionic_native_in_app_purchase__["a" /* InAppPurchase */],
                __WEBPACK_IMPORTED_MODULE_23__ionic_native_device_accounts__["a" /* DeviceAccounts */],
                __WEBPACK_IMPORTED_MODULE_24__ionic_native_device__["a" /* Device */],
                __WEBPACK_IMPORTED_MODULE_16__ionic_native_android_permissions__["a" /* AndroidPermissions */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 278:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(15);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(199);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen) {
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */];
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/app/app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 290:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EULA; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__services_string_service__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(15);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var EULA = /** @class */ (function () {
    function EULA(viewCtrl, stringService) {
        this.viewCtrl = viewCtrl;
        this.stringService = stringService;
    }
    EULA.prototype.accept = function () {
        this.viewCtrl.dismiss();
    };
    EULA = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'EULA',template:/*ion-inline-start:"/Users/fornarom/projects/spoofmytext-v3/src/modals/EULA/EULA.html"*/'<ion-header>\n    <ion-toolbar>\n        <ion-title>\n            {{ stringService.EULA }}\n        </ion-title>\n        <ion-buttons start>\n            <button ion-button (click)="accept()">{{ stringService.AGREE }}</button>\n        </ion-buttons>\n    </ion-toolbar>\n</ion-header>\n\n<ion-content padding>\n    <h2>{{ stringService.EULA_TITLE }}</h2>\n    <h3>{{ stringService.EULA_SUBTITLE }}</h3>\n    <p>{{ stringService.EULA_P1 }}</p>\n    <p>{{ stringService.EULA_P2 }}</p>\n    <p>{{ stringService.EULA_P3 }}</p>\n</ion-content>'/*ion-inline-end:"/Users/fornarom/projects/spoofmytext-v3/src/modals/EULA/EULA.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1__services_string_service__["a" /* StringService */]])
    ], EULA);
    return EULA;
}());

//# sourceMappingURL=EULA.js.map

/***/ }),

/***/ 34:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StringService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var StringService = /** @class */ (function () {
    function StringService() {
        this.en_au();
    }
    StringService.prototype.en_au = function () {
        var localServer = false;
        if (localServer) {
            this.URL_SEND = 'http://localhost:8080/send';
            this.URL_LOGIN = 'http://localhost:8080/user';
            this.URL_VERIFY = 'http://localhost:8080/purchase';
            this.URL_PURCHASES = 'http://localhost:8080/purchases';
        }
        else {
            this.URL_SEND = 'https://us-central1-spoof-my-text.cloudfunctions.net/message';
            this.URL_LOGIN = 'https://us-central1-spoof-my-text.cloudfunctions.net/login';
            this.URL_VERIFY = 'https://us-central1-spoof-my-text.cloudfunctions.net/purchase';
            this.URL_PURCHASES = 'https://us-central1-spoof-my-text.cloudfunctions.net/purchases';
        }
        this.RESTORE_PURCHASES = 'Restore Purchases';
        this.APP_NAME = 'Spoof My Text';
        this.TO_FIELD = 'Send to';
        this.TO_PLACEHOLDER = '+61412345678';
        this.FROM_FIELD = 'As number';
        this.FROM_PLACEHOLDER = '+61400000000';
        this.BODY_FIELD = 'Message';
        this.BODY_PLACEHOLDER = 'Type message here...';
        this.LOGGING_IN = 'Loading...';
        this.LOADING_LOGGING_IN = 'Logging In...';
        this.LOADED_LOGGING_IN = 'Login Successful';
        this.UPDATE_ACCOUNT = 'Updating Account...';
        this.ACCOUNT_UPDATED = 'Account Updated';
        this.LOGIN = 'Login';
        this.SEND = 'Send';
        this.PURCHASES = 'Purchases';
        this.ACCOUNT = 'Account';
        this.NOT_LOGGED_IN = 'NOT_LOGGED_IN';
        this.CREDITS_LEFT = 'Credits Left';
        this.CREDITS_USED = 'Credits Used';
        this.UNLOCKED = 'Unlocked';
        this.YES = 'Yes';
        this.NO = 'No';
        this.BUY = 'Buy';
        this.YOUR_DETAILS = 'Your Details';
        this.IN_APP_PURCHASES = 'In-App Purchases';
        this.IN_APP_PURCHASE_FAILED = 'Looking for in app purchases...';
        this.SEND_ERROR = 'Failed to send message. Check if you have enough credits, and that you\'re connected to the internet!';
        this.NUMBER_INVALID = 'Phone numbers must be in international format with country code with the \'+\' prefix!';
        this.ERROR = 'Error!';
        this.OKAY = 'Okay';
        this.SENT = 'Message sent!';
        this.SENDING = 'Sending...';
        this.FAILED_ACCOUNT = 'Failed to get device account! Please make sure your device is signed in with a valid gmail account, otherwise SpoofMyText cannot log in to our service!';
        this.FAILED_SERVER = 'Failed to connect to Spoof My Text server!';
        this.FAILED_UPDATE = 'Failed to update account!';
        this.TRY_AGAIN = 'Try Again';
        this.EULA = 'EULA';
        this.AGREE = 'Agree';
        this.EULA_TITLE = 'Disclosure and Disclaimer';
        this.EULA_SUBTITLE = 'Effective date: March 5, 2015';
        this.EULA_P1 = "This mobile application (\"Spoof My Text\") will provide an easy method for spoofing the user's caller ID, which is intended for non-harmful use and only as a possible proof of concept.";
        this.EULA_P2 = "The Application provide by Dream App Software Pty Ltd (\"Dream App Software\"), is provided \"As is\" and without warranty of any kind whatsoever. Dream App Software expressly disclaims any warranty regarding the Application, including implied warranty of merchantability, fitness for a particular purpose, or the failure of performance. Dream App Software does not warrant that the Application will be free from defects or errors. You agree that downloading and use of the Application is solely at your own risk and that Dream App Software is not responsible for any damages or losses whatsoever, without limitation, resulting from your downloading of, or your reliance upon the Application.";
        this.EULA_P3 = "By clicking 'I Agree' you expressly agree to hold Dream App Software and its officers, directors, employees, representatives and agents harmless from any claims, actions, demands, liabilities, judgments, settlements, loss, harm, injury, or damages whatsoever, and without limitation, resulting from or arising out of the downloading or use of the Application.";
        this.GUIDE = "IMPORTANT: Phone numbers must be in international format with the '+' symbol (e.g. the Australian mobile number 0412 345 678 should be entered as +61412345678 because +61 is the country code for Australia). Please look up how to write international phone numbers for your country before attempting to send a text.";
        this.IMPORTANT = 'Important!';
        this.UNDERSTAND = 'I understand';
        this.PURCHASE_ERROR = 'You must login first to be able to make this purchase';
        this.PUSH_ID = '108490169615';
    };
    StringService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], StringService);
    return StringService;
}());

//# sourceMappingURL=string.service.js.map

/***/ }),

/***/ 42:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var UserService = /** @class */ (function () {
    function UserService() {
        this.user = {
            accountName: null,
            messagesPurchased: 0,
            messagesSent: 0,
            receipts: [],
            unlocked: false
        };
    }
    UserService.prototype.setUser = function (user) {
        this.user = user;
    };
    UserService.prototype.getUser = function () {
        return this.user;
    };
    UserService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], UserService);
    return UserService;
}());

//# sourceMappingURL=user.service.js.map

/***/ }),

/***/ 54:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_device_accounts__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__ = __webpack_require__(205);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var AccountService = /** @class */ (function () {
    function AccountService(deviceAccounts, device) {
        this.deviceAccounts = deviceAccounts;
        this.device = device;
        console.log('Device Accounts: ' + JSON.stringify(deviceAccounts));
    }
    AccountService.prototype.getEmails = function () {
        var _this = this;
        return new Promise(function (resolve) {
            _this.deviceAccounts.getEmails().then(function (data) {
                console.log('deviceAccount.GETEMAILS ' + JSON.stringify(data));
                resolve(data);
            });
        });
    };
    AccountService.prototype.getEmail = function () {
        var _this = this;
        return new Promise(function (resolve) {
            _this.deviceAccounts.getEmail().then(function (data) {
                console.log('deviceAccount.GETEMAIL ' + JSON.stringify(data));
                resolve(data);
            });
        });
    };
    AccountService.prototype.get = function () {
        var _this = this;
        return new Promise(function (resolve) {
            _this.deviceAccounts.get().then(function (data) {
                console.log('deviceAccount.GET ' + JSON.stringify(data));
                resolve(data);
            });
        });
    };
    AccountService.prototype.getDeviceAccountPermissions = function () {
        console.log('Device UUID: ' + this.device.uuid + ' Device Version: ' + this.device.version);
        var version = this.device.version.split('.', 1);
        if (parseInt(version[0]) >= 8) {
            console.log('Android Version: ' + version[0]);
            this.deviceAccounts.getPermissions();
        }
        else {
            console.log('Device has no accounts'); // Handle no accounts here.
        }
    };
    AccountService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_device_accounts__["a" /* DeviceAccounts */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_device__["a" /* Device */]])
    ], AccountService);
    return AccountService;
}());

//# sourceMappingURL=account.service.js.map

/***/ }),

/***/ 55:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GenericService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var GenericService = /** @class */ (function () {
    function GenericService() {
        this.passcode = null;
    }
    GenericService.prototype.setPasscode = function (user) {
        var hash = 0, key = 9121345235687, max = 4611686018427388000;
        for (var i = 0; i < user.length; i++) {
            var code = user.charCodeAt(i);
            hash = ((hash << 5) - hash) + code * key % max;
            hash |= 0;
        }
        this.passcode = hash;
    };
    GenericService.prototype.getPasscode = function () {
        return this.passcode;
    };
    GenericService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], GenericService);
    return GenericService;
}());

//# sourceMappingURL=generic.service.js.map

/***/ })

},[213]);
//# sourceMappingURL=main.js.map